Bug 38024 - Unable to select BuildVersionCodes.Lollipop
Summary: Unable to select BuildVersionCodes.Lollipop
Status: RESOLVED INVALID
Alias: None
Product: Android
Classification: Xamarin
Component: Bindings ()
Version: 6.0.0
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Atsushi Eno
URL:
Depends on:
Blocks:
 
Reported: 2016-01-26 09:33 UTC by Brian Westrupp
Modified: 2016-08-12 10:37 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED INVALID

Description Brian Westrupp 2016-01-26 09:33:40 UTC
Description of Problem:
Unable to select BuildVersionCodes.Lollipop.  Last version possible is KitKat.
Steps to reproduce the problem:
1. if (Build.VERSION.SdkInt >= BuildVersionCodes.Lollipop) {  }
2. 


Actual Results:
Error CS0117: 'Android.OS.BuildVersionCodes' does not contain a definition for 'Lollipop' (CS0117)

Expected Results:
Should be included in BuildVersionCodes

How often does this happen? 


Additional Information:
namespace Android.OS
{
	public enum BuildVersionCodes
	{
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Base")]
		Base = 1,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Base11")]
		Base11,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Cupcake")]
		Cupcake,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.CurDevelopment")]
		CurDevelopment = 10000,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Donut")]
		Donut = 4,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Eclair")]
		Eclair,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Eclair01")]
		Eclair01,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.EclairMr1")]
		EclairMr1,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Froyo")]
		Froyo,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Gingerbread")]
		Gingerbread,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.GingerbreadMr1")]
		GingerbreadMr1,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Honeycomb")]
		Honeycomb,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.HoneycombMr1")]
		HoneycombMr1,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.HoneycombMr2")]
		HoneycombMr2,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.IceCreamSandwich")]
		IceCreamSandwich,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.IceCreamSandwichMr1")]
		IceCreamSandwichMr1,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.JellyBean")]
		JellyBean,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.JellyBeanMr1")]
		JellyBeanMr1,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.JellyBeanMr2")]
		JellyBeanMr2,
		[IntDefinition ("Android.OS.Build.VERSION_CODES.Kitkat")]
		Kitkat
	}
}

=== Xamarin Studio ===

Version 5.10.1 (build 6)
Installation UUID: e9682cde-a226-474f-9dd5-e6858c438b57
Runtime:
	Microsoft .NET 4.0.30319.42000
	GTK+ 2.24.23 (MS-Windows theme)
	GTK# 2.12.30

=== Xamarin.Profiler ===

Not Installed

=== Xamarin.Android ===

Version: 6.0.0 (Indie Edition)
Android SDK:
	Supported Android versions:
		2.3    (API level 10)
		4.0.3  (API level 15)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
		5.1    (API level 22)
		6.0    (API level 23)

SDK Tools Version: 24.4.1

SDK Platform Tools Version: 23.1

SDK Build Tools Version: 23.0.2


Java SDK: C:\Program Files (x86)\Java\jdk1.6.0_39
java version "1.6.0_39"
Java(TM) SE Runtime Environment (build 1.6.0_39-b04)
Java HotSpot(TM) Client VM (build 20.14-b01, mixed mode, sharing)

=== Xamarin Android Player ===

Not Installed

=== Build Information ===

Release ID: 510010006
Git revision: 0b60eecdb531933734519c13257d16a780274aab
Build date: 2015-12-04 19:20:22-05
Xamarin addins: 9876fd7c9837977178411ec7375b4352c0a0d6af
Build lane: monodevelop-windows-cycle6-baseline

=== Operating System ===

Windows 10.0.10586.0 (64-bit)
Comment 1 Atsushi Eno 2016-08-12 10:37:21 UTC
It was already available at cycle6 release. It won't show up where TargetFrameworkVersion < 5.0.